<script>
    import Username from './Username.svelte'
</script>

<h2>
    <slot />
    {#if $$slots.username}
        <Username>
            <slot name="username" />
        </Username>
    {/if}
</h2>

<style lang="postcss">
    h2 {
        @apply inline-flex w-full gap-x-1 font-semibold text-blueGray-800 truncate;
    }
</style>
